import json
import requests
from api_auth import APICredentials, APIParams
  
class Update_VLP:
    def __init__(self):
        self.host = "https://services.uplynk.com"
  
    def run(self):
        self._update_virtual_linear_playlist()
 
    def _update_virtual_linear_playlist(self):
        playlist_id = 'abce801613f94955b17db4f7c8e8137c' # Replace with the desired playlist ID.
        url = "{}{}{}".format(self.host, "/api/v4/linear-playlist/", playlist_id)
 
        beam_break_duration = 45 # Sets 45 second ad breaks.

        payload = {
            'beam_break_duration': beam_break_duration
        }
 
        headers = {'Content-Type': 'application/json'}
 
        response = requests.patch(
            url, params=APIParams(APICredentials()).get_params({}), data=json.dumps(payload), headers=headers
        )
 
        print(response.json())
  
Update_VLP().run()